# Clique

## [v3.4.0-release](https://github.com/jnwhiteh/Clique/tree/v3.4.0-release) (2022-10-25)
[Full Changelog](https://github.com/jnwhiteh/Clique/compare/v3.3.0...v3.4.0-release) [Previous Releases](https://github.com/jnwhiteh/Clique/releases)

- Merge pull request #7 from jnwhiteh/release-updates  
    Release updates  
- Fix a leaked global/bug  
- Fix retail integration  
- Fix incorrect loading of retail on classic  
- Swap profile when changing the spec swapping options  
- Update config, prep for release  
- Fix link in readme  
- Merge pull request #6 from jnwhiteh/dragonflight  
    Dragonflight  
- Fix AddonCore  
- Fix un-named frames, hopefully  
- Don't make side-cars for un-protected or forbidden frames  
- Remove the sidecars, as they seem to cause taint issues  
- Fix compact party frame registration  
- Add the compact player frame  
- Import AceDB and AceGUI and fix line endings  
- Support for un-named frames with mouseover bindings  
- Remove some debug code that breaks retail  
- Add compact raid frame integration  
- Stop being stupid :D  
- Fix luacheck  
- Limited frame integration still  
- Workaround the issue with global/hovercast bindings  
- Add to luacheckrc  
- Add support for talents to Wrath  
    This includes both the profile swapping and the bind-sets, but is  
    somewhat untested at the moment as I don't have a character with  
    access to dual talent specs.  
- Fix project identifiers  
- Add GetCursorPosition to luacheck  
- Initial Blizzard Frames integration  
- Convert BindConfig to use LibDropDown  
- Use project selectors from AddonCore  
- Skip loading options during Dragonflight  
- Update TOC to load from subdirectories  
- Move i18n to subdirectory  
- Move tests and scripts to subdirectories  
- Don't update options panel if its not created  
- Merge remote-tracking branch 'origin/main' into dragonflight  
- Merge remote-tracking branch 'origin/main' into dragonflight  
- Split workflows into release and alpha/beta  
- Remove "About" dialog from AddonCore due to taint  
- Ignore alpha tags in main release  
- Only build alpha tags  
- Fix unnecessary used globals  
- Declare GetBuildInfo() usage  
- Bail out in Dragonflight except for Player/Target frames  
- TitleText has moved to a container (Retail?)  
- Add project and version functions to AddonCore  
- Convert Localization.ruRU.lua to unix EOL  
- Add dragonflight build workflow  
